# Interface SynthUI

All Superinterfaces:
  `SynthConstants`

All Known Implementing Classes:
  `SynthButtonUI, SynthCheckBoxMenuItemUI, SynthCheckBoxUI, SynthColorChooserUI, SynthComboBoxUI, SynthDesktopIconUI, SynthDesktopPaneUI, SynthEditorPaneUI, SynthFormattedTextFieldUI, SynthInternalFrameUI, SynthLabelUI, SynthListUI, SynthMenuBarUI, SynthMenuItemUI, SynthMenuUI, SynthOptionPaneUI, SynthPanelUI, SynthPasswordFieldUI, SynthPopupMenuUI, SynthProgressBarUI, SynthRadioButtonMenuItemUI, SynthRadioButtonUI, SynthRootPaneUI, SynthScrollBarUI, SynthScrollPaneUI, SynthSeparatorUI, SynthSliderUI, SynthSpinnerUI, SynthSplitPaneUI, SynthTabbedPaneUI, SynthTableHeaderUI, SynthTableUI, SynthTextAreaUI, SynthTextFieldUI, SynthTextPaneUI, SynthToggleButtonUI, SynthToolBarUI, SynthToolTipUI, SynthTreeUI, SynthViewportUI`

public interface SynthUI extends SynthConstants
SynthUI is used to fetch the SynthContext for a particular Component.

Since:
  1.7

## Field Summary

### Fields declared in interface SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

## Method Summary

Modifier and Type
Method
Description
`SynthContext`
`getContext(JComponent c)`
Returns the Context for the specified component.
`void`
`paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)`
Paints the border.

## Method Details

### getContext

SynthContext getContext(JComponent c)
Returns the Context for the specified component.

Parameters:
  `c` - Component requesting SynthContext.
Returns:
  SynthContext describing component.

### paintBorder

void paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)
Paints the border.

Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border